Attribute VB_Name = "Module2"
Global Const RCG_DATA_VER = 101

Global Const RCG_MAX_WIDTH = 300
Global Const RCG_MAX_TAB_STOPS = 20
Global Const CELL_MARGIN = 60

Global Const RCG_HDR = 1
Global Const RCG_FHDR = 2
Global Const RCG_LHDR = 3
Global Const RCG_RHDR = 4
Global Const RCG_FTR = 5
Global Const RCG_FFTR = 6
Global Const RCG_LFTR = 7
Global Const RCG_RFTR = 8

Global Const RCG_ULINE = &H1
Global Const RCG_BOLD = &H2
Global Const RCG_ITALIC = &H4
Global Const RCG_STRIKE = &H8
Global Const RCG_SUPSCR = &H10
Global Const RCG_SUBSCR = &H20
Global Const RCG_HIDDEN = &H40
Global Const RCG_PICT = &H80
Global Const RCG_ULINED = &H100
Global Const RCG_PROTECT = &H200
Global Const RCG_FNOTE = &H400
Global Const RCG_FNOTETEXT = &H800
Global Const RCG_FNORCGEST = &H1000
Global Const RCG_CHAR_BOX = &H2000
Global Const RCG_HLINK = &H4000
Global Const RCG_CAPS  = &H10000
Global Const RCG_SCAPS = &H20000

Global Const RCG_CENTER = &H1
Global Const RCG_RIGHT = &H2
Global Const RCG_DOUBLE_SPACE = &H4
Global Const RCG_BULLET = &H8
Global Const RCG_BOX_TOP = &H10
Global Const RCG_BOX_BOT = &H20
Global Const RCG_BOX_LEFT = &H40
Global Const RCG_BOX_RIGHT = &H80
Global Const RCG_BOX_DOUBLE = &H100
Global Const RCG_BOX_THICK = &H200
Global Const RCG_BOX_ATTRIB = &H3F0
Global Const RCG_LEFT = &H400
Global Const RCG_JUSTIFY = &H800
Global Const RCG_PAGE_HDR = &H1000
Global Const RCG_PAGE_FTR = &H2000
Global Const RCG_PAGE_HDR_FTR = &H3000
Global Const RCG_PARA_KEEP = &H4000
Global Const RCG_PARA_KEEP_NEXT = &H8000&
Global Const RCG_PARA_WIDOW = &H10000

Global Const RCG_PARA_BOX = &HF0

Global Const RCG_VALIGN_TOP = 0
Global Const RCG_VALIGN_CTR = 1
Global Const RCG_VALIGN_BOT = 2

Global Const RCG_MRG_COL_FIRST = &H1
Global Const RCG_MRG_COL = &H2
Global Const RCG_MRG_ROW_FIRST = &H4
Global Const RCG_MRG_ROW = &H8

Global Const RCG_BREAK_SECT = 0
Global Const RCG_BREAK_COL = 1
Global Const RCG_BREAK_PAGE = 2

Global Const TAB_LEFT = 0
Global Const TAB_RIGHT = 1
Global Const TAB_CENTER = 2
Global Const TAB_DECIMAL = 3

Global Const TAB_NONE = 0
Global Const TAB_DOT = 1
Global Const TAB_HYPH = 2
Global Const TAB_ULINE = 4

Global Const ALIGN_BOT = 0
Global Const ALIGN_MIDDLE = 1
Global Const ALIGN_TOP = 2

Global Const PFRAME_NONE = 0
Global Const PFRAME_LEFT = 1
Global Const PFRAME_RIGHT = 2
Global Const PFRAME_FLOAT = 3

Global Const DOB_TEXT_BOX = 1
Global Const DOB_RECT = 2
Global Const DOB_LINE = 3

Global Const DOB_LINE_NONE = 0
Global Const DOB_LINE_SOLID = 1
Global Const DOB_LINE_DOTTED = 2

Global Const SSTYPE_CHAR = 1
Global Const SSTYPE_PARA = 2

Global Const BASE_PAGE = 0
Global Const BASE_MARG = 1
Global Const BASE_PARA = 2

Global Const RFLAG_RETURN_MSG_ID = &H1
Global Const RFLAG_FIRST_MSG_ONLY = &H2

Global Const BLT_ROUND = 0
Global Const BLT_DIAMOND = 1
Global Const BLT_SQUARE = 2
Global Const BLT_HOLLOW_SQUARE = 3
Global Const BLT_4_DIAMONDS = 4
Global Const BLT_ARROW = 5
Global Const BLT_CHECK = 6

Global Const BLTFLAG_HIDDEN = &H1

Global Const NBR_DEC = 0
Global Const NBR_UPR_ALPHA = 1
Global Const NBR_LWR_ALPHA = 2

Global Const PID_LINE = 0
Global Const PID_PARA = 1
Global Const PID_BULLET = 2

Global Const RCG_FILE = 1
Global Const RCG_BUF = 2

Global Const CF_DIB = 8
Global Const CF_BITMAP = 2
Global Const CF_METAFILEPICT = 3
Global Const CF_ENHMETAFILE = 14


'******************************************************************************
'   Message ids
'*******************************************************************************
Global Const RMSG_NO_ERROR = 0
Global Const RMSG_BAD_BMP_FILE = 1
Global Const RMSG_CREATE_NEW_FILE = 2
Global Const RMSG_ERR_DIB_CREATE = 3
Global Const RMSG_ERR_FILE_LENGTH = 4
Global Const RMSG_ERR_FILE_OPEN = 5
Global Const RMSG_ERR_FILE_READ = 6
Global Const RMSG_ERR_FILE_SEEK = 7
Global Const RMSG_ERR_FILE_WRITE = 8
Global Const RMSG_ERR_FONT_CREATE = 9
Global Const RMSG_ERR_FONT_SELECT = 10
Global Const RMSG_ERR_INIT_BMP = 11
Global Const RMSG_ERR_MEM_LOCK = 12
Global Const RMSG_ERR_META_ACCESS = 13
Global Const RMSG_ERR_META_BAD_FILE = 14
Global Const RMSG_ERR_META_COPY = 15
Global Const RMSG_ERR_META_CREATE = 16
Global Const RMSG_ERR_META_READ = 17
Global Const RMSG_ERR_META_RECREATE = 18
Global Const RMSG_ERR_PICT_FILE_FMT = 19
Global Const RMSG_ERR_PICT_FILE_OPEN = 20
Global Const RMSG_ERR_PICT_FILE_READ = 21
Global Const RMSG_LINE_TOO_LONG = 22
Global Const RMSG_OUT_OF_MEM = 23
Global Const RMSG_READ_ABORTED = 24
Global Const RMSG_REPLACE_STRING = 25
Global Const RMSG_SAVE_INCOMPL = 26
Global Const RMSG_UNEXPECTED_EOF = 27
Global Const RMSG_ERR_FILE_ACCESS = 28
Global Const RMSG_ERR_ENH_META_HDR = 29
Global Const RMSG_GET_ENH_META = 30
Global Const RMSG_IN_INIT_SECT = 31
Global Const RMSG_NOT_IN_INIT_SECT = 32
Global Const RMSG_IN_TEXT = 33
Global Const RMSG_NOT_IN_TEXT = 34
Global Const RMSG_IN_SSITEM = 35
Global Const RMSG_NOT_IN_SSITEM = 36
Global Const RMSG_IN_SS = 37
Global Const RMSG_NOT_IN_SS = 38
Global Const RMSG_IN_TABLE = 39
Global Const RMSG_NOT_IN_TABLE = 40
Global Const RMSG_IN_FRAME = 41
Global Const RMSG_NOT_IN_FRAME = 42
Global Const RMSG_IN_TEXT_BOX = 43
Global Const RMSG_NOT_IN_TEXT_BOX = 44
Global Const RMSG_IN_HDR_FTR = 45
Global Const RMSG_NOT_IN_HDR_FTR = 46

Global Const RMSG_BAD_SEQ = 47
Global Const RMSG_TEMP = 48

Global Const RMSG_IN_CELL_TEXT = 49
Global Const RMSG_NOT_IN_CELL_TEXT = 50

Global Const RMSG_CELLX_MISSING = 51
Global Const RMSG_NO_MORE_CELLX = 52
Global Const RMSG_NO_CELLS = 53
Global Const RMSG_LESS_CELLS = 54
Global Const RMSG_CLIPBOARD_BUSY      = 55
Global Const RMSG_CLIPBOARD_NO_DATA   = 56
Global Const RMSG_CLIPBOARD_NO_FMT    = 57


Rem ************************************************************************
Rem Function declarations
Rem ************************************************************************

Declare Function RcgNewDoc Lib "RCG32.DLL" () As Long
Declare Function RcgGetLastMessage Lib "RCG32.DLL" (ByVal message As String, ByVal DebugMsg As String) As Long
Declare Function RcgResetLastMessage Lib "RCG32.DLL" () As Long
Declare Function RcgStrToHandle Lib "RCG32.DLL" (ByVal buf As String, ByVal BufLen As Long) As Long
Declare Function RcgStrToHandleInChunks Lib "RCG32.DLL" (ByVal buf As String, ByVal BufLen As Long, ByVal hMem As Long, ByVal ChunkPos As Long, ByVal ChunkLen As Long) As Long
Declare Function RcgHandleToStr Lib "RCG32.DLL" (ByVal buf As String, ByVal BufLen As Long, ByVal hMem As Long) As Long
Declare Function RcgHandleToStrInChunks Lib "RCG32.DLL" (ByVal buf As String, ByVal BufLen As Long, ByVal hMem As Long, ByVal ChunkPos As Long, ByVal ChunkLen As Long) As Long
Declare Function RcgMakeMbcs Lib "RCG32.DLL" (ByVal OutString As String, ByVal tail As String, ByVal lead As String, ByVal count As Long) As Long
Declare Function RcgSaveFile Lib "RCG32.DLL" (ByVal DocId As Long, ByVal OutFile As String) As Long
Declare Function RcgGetData Lib "RCG32.DLL" (ByVal DocId As Long, BufLen As Long) As Long
Declare Function RcgEndDoc Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgTextFont Lib "RCG32.DLL" (ByVal DocId As Long, ByVal typeface As String, ByVal PointSize As Long, ByVal style As Long, ByVal SetReset As Long) As Long
Declare Function RcgInsertText Lib "RCG32.DLL" (ByVal DocId As Long, ByVal text As String) As Long
Declare Function RcgBeginSectText Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgTextColor Lib "RCG32.DLL" (ByVal DocId As Long, ByVal CurColor As Long, ByVal foreground As Long) As Long
Declare Function RcgResetTextProp Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgResetParaProp Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgCharStyleId Lib "RCG32.DLL" (ByVal DocId As Long, ByVal id As Long) As Long
Declare Function RcgParaStyleId Lib "RCG32.DLL" (ByVal DocId As Long, ByVal id As Long) As Long
Declare Function RcgParaFlags Lib "RCG32.DLL" (ByVal DocId As Long, ByVal flags As Long) As Long
Declare Function RcgParaIndent Lib "RCG32.DLL" (ByVal DocId As Long, ByVal LeftIndent As Long, ByVal RightIndent As Long, ByVal FirstIndent As Long) As Long
Declare Function RcgParaSpace Lib "RCG32.DLL" (ByVal DocId As Long, ByVal SpaceBef As Long, ByVal SpaceAft As Long, ByVal SpaceBet As Long) As Long
Declare Function RcgParaShadeColor Lib "RCG32.DLL" (ByVal DocId As Long, ByVal shade As Long, ByVal BkColor As Long) As Long
Declare Function RcgParaBullet Lib "RCG32.DLL" (ByVal DocId As Long, ByVal IsBullet As Long, ByVal BulletType As Long, ByVal level As Long, ByVal start As Long, ByVal BefText As String, ByVal AftText As String, ByVal flags As Long) As Long
Declare Function RcgParaTabStop Lib "RCG32.DLL" (ByVal DocId As Long, ByVal TabType As Long, ByVal pos As Long, ByVal flags As Long) As Long
Declare Function RcgInitSect Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgPaper Lib "RCG32.DLL" (ByVal DocId As Long, ByVal width As Long, ByVal height As Long, ByVal landscape As Long) As Long
Declare Function RcgMargin Lib "RCG32.DLL" (ByVal DocId As Long, ByVal LeftMargin As Long, ByVal RightMargin As Long, ByVal TopMargin As Long, ByVal BotMargin As Long, ByVal HdrMargin As Long, ByVal FtrMargin As Long) As Long
Declare Function RcgSectInfo Lib "RCG32.DLL" (ByVal DocId As Long, ByVal columns As Long, ByVal ColSpace As Long, ByVal NewPage As Long, ByVal FirstPageNo As Long) As Long
Declare Function RcgBeginTableRow Lib "RCG32.DLL" (ByVal DocId As Long, ByVal indent As Long, ByVal height As Long, ByVal just As Long, ByVal IsHdr As Long, ByVal CellMargin As Long) As Long
Declare Function RcgNextCellInfo Lib "RCG32.DLL" (ByVal DocId As Long, ByVal width As Long, ByVal valign As Long, ByVal shading As Long, ByVal BackColor As Long, ByVal LeftWidth As Long, ByVal RightWidth As Long, ByVal TopWidth As Long, ByVal BotWidth As Long, ByVal MergeFlags As Long) As Long
Declare Function RcgBeginCellText Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgEndCellText Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgEndTableRow Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgBeginHdrFtr Lib "RCG32.DLL" (ByVal DocId As Long, ByVal HdrFtrType As Long) As Long
Declare Function RcgEndHdrFtr Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgInsertPictFile Lib "RCG32.DLL" (ByVal DocId As Long, ByVal file As String, ByVal width As Long, ByVal height As Long, ByVal linked As Long) As Long
Declare Function RcgBeginStyleSheet Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgBeginStyleItem Lib "RCG32.DLL" (ByVal DocId As Long, ByVal ParaStyle As Long, ByVal StyleId As Long, ByVal name As String) As Long
Declare Function RcgEndStyleItem Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgEndStyleSheet Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgBeginFrame Lib "RCG32.DLL" (ByVal DocId As Long, ByVal PageRelative As Long, ByVal x As Long, ByVal y As Long, ByVal width As Long, ByVal height As Long) As Long
Declare Function RcgEndFrame Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgBeginTextBox Lib "RCG32.DLL" (ByVal DocId As Long, ByVal PageRelative As Long, ByVal x As Long, ByVal y As Long, ByVal width As Long, ByVal height As Long, ByVal ZOrder As Long, ByVal FillColor As Long, ByVal BorderColor As Long, ByVal BorderWidth As Long, ByVal Xparent As Long) As Long
Declare Function RcgEndTextBox Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgDrawRect Lib "RCG32.DLL" (ByVal DocId As Long, ByVal PageRelative As Long, ByVal x As Long, ByVal y As Long, ByVal width As Long, ByVal height As Long, ByVal ZOrder As Long, ByVal FillColor As Long, ByVal BorderColor As Long, ByVal BorderWidth As Long, ByVal Xparent As Long) As Long
Declare Function RcgDrawLine Lib "RCG32.DLL" (ByVal DocId As Long, ByVal PageRelative As Long, ByVal x1 As Long, ByVal y1 As Long, ByVal x2 As Long, ByVal y2 As Long, ByVal ZOrder As Long, ByVal LineColor As Long, ByVal LineWidth As Long) As Long
Declare Function RcgInsertBreak Lib "RCG32.DLL" (ByVal DocId As Long, ByVal BreakType As Long) As Long
Declare Function RcgBeginGroup Lib "RCG32.DLL" (ByVal DocId As Long, ByVal name As String, ByVal IsDest As Long) As Long
Declare Function RcgEndGroup Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgInsertControl Lib "RCG32.DLL" (ByVal DocId As Long, ByVal name As String, ByVal UseParam As Long, ByVal param As Long) As Long
Declare Function RcgInsertPageField Lib "RCG32.DLL" (ByVal DocId As Long, ByVal InsertPageNo As Long) As Long
Declare Function RcgPastePicture Lib "RCG32.DLL" (ByVal DocId As Long, ByVal PictFormat As Long, ByVal hData As Long, ByVal PictWidth As Long, ByVal PictHeight As Long) As Long
Declare Function RcgInsertMergeField Lib "RCG32.DLL" (ByVal DocId As Long, ByVal FieldName as String, ByVal FieldData as String) As Long
Declare Function RcgInsertRaw Lib "RCG32.DLL" (ByVal DocId As Long, ByVal text As String) As Long
Declare Function RcgInsertFootnote Lib "RCG32.DLL" (ByVal DocId As Long, ByVal marker as String, ByVal text As String) As Long
Declare Function RcgInsertUText Lib "RCG32.DLL" (ByVal DocId As Long, ByRef text As Integer) As Long
Declare Function RcgInsertBookmark Lib "RCG32.DLL" (ByVal DocId As Long, ByVal name As String, ByVal start as Long) As Long
Declare Function RcgSetFlags Lib "RCG32.DLL" (ByVal DocId As Long, ByVal SetReset As Long, ByVal flags as Long) As Long
Declare Function RcgBeginScriptStyle Lib "RCG32.DLL" (ByVal DocId As Long, ByVal IsSuperscript As Long) As Long
Declare Function RcgEndScriptStyle Lib "RCG32.DLL" (ByVal DocId As Long) As Long
Declare Function RcgNextCellInfo2 Lib "RCG32.DLL" (ByVal DocId As Long, ByVal width As Long, ByVal valign As Long, ByVal shading As Long, ByVal BackColor As Long, ByVal LeftWidth As Long, ByVal RightWidth As Long, ByVal TopWidth As Long, ByVal BotWidth As Long, ByVal BorderColor as Long, ByVal MergeFlags As Long) As Long
Declare Function RcgSetLicenseKey Lib "RCG32.DLL" (ByVal LicKey As String) As Long
Declare Function RcgBeginTableRow2 Lib "RCG32.DLL" (ByVal DocId As Long, ByVal indent As Long, ByVal height As Long, ByVal just As Long, ByVal IsHdr As Long, ByVal LeftMargin As Long, ByVal RightMargin As Long, ByVal TopMargin As Long, ByVal BotMargin As Long) As Long
Declare Function RcgTextFont2 Lib "RCG32.DLL" (ByVal DocId As Long, ByVal typeface As String, ByVal PointSize As Long, ByVal style As Long, ByVal CharSet as Long, ByVal SetReset As Long) As Long
Declare Function RcgBeginTextBox2 Lib "RCG32.DLL" (ByVal DocId As Long, ByVal PageRelative As Long, ByVal x As Long, ByVal y As Long, ByVal width As Long, ByVal height As Long, ByVal ZOrder As Long, ByVal FillColor As Long, ByVal BorderColor As Long, ByVal BorderWidth As Long, ByVal Xparent As Long, ByVal TextAngle as Long) As Long
Declare Function RcgNextCellInfo3 Lib "RCG32.DLL" (ByVal DocId As Long, ByVal width As Long, ByVal valign As Long, ByVal shading As Long, ByVal BackColor As Long, ByVal LeftWidth As Long, ByVal RightWidth As Long, ByVal TopWidth As Long, ByVal BotWidth As Long, ByVal BorderColor as Long, ByVal MergeFlags As Long, ByVal TextAngle as Long) As Long


