Attribute VB_Name = "Module3"
                    
Global Const PGFLAG_RETURN_MSG_ID = &H1

Global Const PGPROP_AUTHOR = 0                 ' author of the document
Global Const PGPROP_TITLE = 1                  ' title of the document
Global Const PGPROP_PRODUCER = 2               ' producer of the document
Global Const PGPROP_SUBJECT = 3                ' subject of the document
Global Const PGPROP_KEYWORDS = 4               ' keywords of the document
Global Const PGPROP_CRE_DATE = 5               ' date of the document
Global Const PGPROP_MOD_DATE = 6               ' ModDate of the document
Global Const PGPROP_COMPRESS_TEXT = 7          ' True to compress text
Global Const PGPROP_EMBED_FONTS = 8            ' True to always embed fonts
Global Const PGPROP_BOOKMARK = 9               ' Create bookmarks
Global Const PGPROP_HYPERLINK = 10             ' Create hyperlinks
Global Const PGPROP_MAC_COMPATIBLE = 11        ' True to create mac compatible pdf file
Global Const PGPROP_PERM_FLAGS = 12            ' permission flags PERM_ constants
Global Const PGPROP_USER_PASSWORD = 13         ' user password
Global Const PGPROP_OWNER_PASSWORD = 14        ' ownwer password
Global Const PGPROP_EXACT_TEXT_PLACEMENT = 15  ' place characters at exact positions
Global Const PGPROP_BATCH = 16                 ' faster processing for smaller files when multiple conversions done in the same session
Global Const PGPROP_NO_CACHING = 17            ' disable caaching when writing to disk
Global Const PGPROP_HI_RES     =  18           ' hi res pdf

Global Const PERM_PRINT = &H4                  ' these values are specified by the pdf spec - permission flags
Global Const PERM_MOD = &H28
Global Const PERM_COPY = &H10

'******************************************************************************
'   Message ids
'*******************************************************************************
Global Const MSG_FILE_NOT_FOUND = 1
Global Const MSG_NO_EDITOR_INSTANCE = 2
Global Const MSG_READ_ERROR = 3
Global Const MSG_WRITE_ERROR = 4
Global Const MSG_MEMORY_LOCK = 5
Global Const MSG_NO_FILE_SIGNATURE = 6
Global Const MSG_BAD_RTF_FILE = 7
Global Const MSG_BAD_HTML_FILE = 8
Global Const MSG_EXPIRED = 9
Global Const MSG_BAD_RTF_DATA = 10
Global Const MSG_LICENSE_EXCEEDED   =15
Global Const MSG_BAD_LICENSE_NUMBER =16
Global Const MSG_BAD_LICENSE_KEY    =17
Global Const MSG_INVALID_SERVER_LICENSE =18

Global Const MSG_OTHER = 99

Rem ************************************************************************
Rem Function declarations
Rem ************************************************************************

Declare Function PdgNewSession Lib "PDG32.DLL" () As Long
Declare Function PdgEndSession Lib "PDG32.DLL" (ByVal id As Long) As Long
Declare Function PdgSetFlags Lib "PDG32.DLL" (ByVal id As Long, ByVal SetReset As Long, ByVal flags As Long) As Long
Declare Function PdgGetLastMessage Lib "PDG32.DLL" (ByVal id As Long, ByVal message As String, ByVal DebugMsg As String) As Long
Declare Function PdgResetLastMessage Lib "PDG32.DLL" (ByVal id As Long) As Long
Declare Function PdgGenerateReportFile Lib "PDG32.DLL" (ByVal id As Long, ByVal DocId As Long, ByVal OutFile As String) As Long
Declare Function PdgGenerateReportBuffer Lib "PDG32.DLL" (ByVal id As Long, ByVal DogId As Long, OutSize As Long) As Long
Declare Function PdgHandleToStr Lib "PDG32.DLL" (ByVal buf As String, ByVal BufLen As Long, ByVal hMem As Long) As Long
Declare Function PdgSetTextProp Lib "PDG32.DLL" (ByVal id As Long, ByVal prop As Long, ByVal PropVal As String) As Long
Declare Function PdgSetBoolProp Lib "PDG32.DLL" (ByVal id As Long, ByVal prop As Long, ByVal PropVal As Long) As Long
Declare Function PdgSetNumProp Lib "PDG32.DLL" (ByVal id As Long, ByVal prop As Long, ByVal PropVal As Long) As Long
Declare Function PdgNewDocObject Lib "PDG32.DLL" (ByVal id As Long) As Long
Declare Function PdgSetLicenseInfo Lib "PDG32.DLL" (ByVal LicKey As String, ByVal LicNbr as String, ByVal CompanyName as String) As Long
Declare Function PdgHandleToByteArray Lib "PDG32.DLL" (buf As Any, ByVal BufLen As Long, ByVal hMem As Long) As Long
Declare Function PdgSetInServer Lib "PDG32.DLL" (ByVal InServer As Long) As Long
Declare Function PdgGetLicenseStatus Lib "PDG32.DLL" () As Long


