{******************************************************************************
               Control Constants
*******************************************************************************}
Const

   PGFLAG_RETURN_MSG_ID = $1;

    PGPROP_AUTHOR            =0;       // author of the document
    PGPROP_TITLE             =1;       // title of the document
    PGPROP_PRODUCER          =2;       // producer of the document
    PGPROP_SUBJECT           =3;       // subject of the document
    PGPROP_KEYWORDS          =4;       // keywords of the document
    PGPROP_CRE_DATE          =5;       // date of the document
    PGPROP_MOD_DATE          =6;       // ModDate of the document
    PGPROP_COMPRESS_TEXT     =7;       // True to compress text
    PGPROP_EMBED_FONTS       =8;       // True to always embed fonts
    PGPROP_BOOKMARK          =9;       // Create bookmarks
    PGPROP_HYPERLINK        =10;       // Create hyperlinks
    PGPROP_MAC_COMPATIBLE   =11;       // True to create mac compatible pdf file
    PGPROP_PERM_FLAGS       =12;       // permission flags PERM_ constants
    PGPROP_USER_PASSWORD    =13;       // user password
    PGPROP_OWNER_PASSWORD   =14;       // ownwer password
    PGPROP_EXACT_TEXT_PLACEMENT =15;   // place characters at exact positions
    PGPROP_BATCH            =16;       // faster processing for smaller files when multiple conversions done in the same session
    PGPROP_NO_CACHING       =17;       // disable caaching when writing to disk
    PGPROP_HI_RES           =18;       // hi res pdf

    PERM_PRINT            =$4;     // these values are specified by the pdf spec - permission flags
    PERM_MOD              =$28;
    PERM_COPY             =$10;


//******************************************************************************
//   Message ids
//*******************************************************************************
    MSG_FILE_NOT_FOUND = 1;
    MSG_NO_EDITOR_INSTANCE = 2;
    MSG_READ_ERROR = 3;
    MSG_WRITE_ERROR = 4;
    MSG_MEMORY_LOCK = 5;
    MSG_LICENSE_EXCEEDED   =15;
    MSG_BAD_LICENSE_NUMBER =16;
    MSG_BAD_LICENSE_KEY    =17;
    MSG_INVALID_SERVER_LICENSE =18;

    MSG_OTHER = 99;


